xfs_ncheck(8)

NAME
xfs_ncheck - generate pathnames from i-numbers for XFS

SYNOPSIS
xfs_ncheck [ -i ino ] ...
		[ -s ] [ -l logdev ] xfs_special

xfs_ncheck -f [ -i ino ] ...
		[ -s ] [ -l logdev ] file

DESCRIPTION
xfs_ncheck with no -i arguments generates an inode number and pathname list of all files on the given filesystem. Names of directory files are followed by /.. The output is not sorted in any particular order. The filesystem to be examined is specified by the xfs_special argument, which should be the disk or volume device for the filesystem. Filesystems stored in files can also be checked, using the -f flag.

The options to xfs_ncheck are:

-f  Specifies that the special device is actually a file (see the mkfs.xfs -d file option). This might happen if an image copy of a filesystem has been made into an ordinary file.

-l  Specifies the device special file where the filesystem's external log resides. Only for those filesystems which use an external log. See the mkfs.xfs -l option, and refer to xfs(5) for a detailed description of the XFS log.

-s  Limits the report to special files and files with setuserid mode. This option may be used to detect violations of security policy.

-i ino
    Limits the report to only those files whose inode numbers follow. May be given multiple times to select multiple inode numbers.

If the filesystem is seriously corrupted, or very busy and looks like it is corrupt, a message of the form that would be generated by xfs_check(8) may appear.

xfs_ncheck is only useful with XFS filesystems.

SEE ALSO
mkfs.xfs(8), xfs_ncheck(8), xfs_check(8), xfs(5).